Package org.apache.ignite.internal.management.kill

## Class KillTransactionTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<KillTransactionCommandArg,​Map<ClusterNode,​TxTaskResult>,​TxTaskResult>
  - - org.apache.ignite.internal.management.kill.KillTransactionTask

All Implemented Interfaces:
  `Serializable`, `ComputeTask<VisorTaskArgument<KillTransactionCommandArg>,​VisorTaskResult<Map<ClusterNode,​TxTaskResult>>>`

    @GridInternal
    public class KillTransactionTask
    extends VisorMultiNodeTask<KillTransactionCommandArg,​Map<ClusterNode,​TxTaskResult>,​TxTaskResult>

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
`KillTransactionTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<KillTransactionCommandArg,​TxTaskResult>` `job​(KillTransactionCommandArg arg)`
`protected @Nullable Map<ClusterNode,​TxTaskResult>` `reduce0​(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KillTransactionTask

    public KillTransactionTask()

### Method Detail

#### job

    protected VisorJob<KillTransactionCommandArg,​TxTaskResult> job​(KillTransactionCommandArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<KillTransactionCommandArg,​Map<ClusterNode,​TxTaskResult>,​TxTaskResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected @Nullable Map<ClusterNode,​TxTaskResult> reduce0​(List<ComputeJobResult> results)
                                                             throws IgniteException

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<KillTransactionCommandArg,​Map<ClusterNode,​TxTaskResult>,​TxTaskResult>`
Parameters:
  `results` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.